Subject: bug#18476: closed (Re: bug#18476: 24.3.93; ede-emacs-version: Searching for program: no such file or directory, egrep)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 18 Sep 2014 20:41:03 +0000

Your bug report

#18476: 24.3.93; ede-emacs-version: Searching for program: no such file or directory, egrep

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
18476: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=18476
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#18476: 24.3.93; ede-emacs-version: Searching for program: no such file or directory, egrep
From: David Engster <[email-masked]>
To: Stefan Monnier <[email-masked]>
Cc: Lars Ljung <[email-masked]>, [email-masked]
Date: Thu, 18 Sep 2014 22:40:01 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Stefan Monnier writes:
> OK, sounds fair.  Please install the patch.

Done.

-David

Subject: 24.3.93; ede-emacs-version: Searching for program: no such file or directory, egrep
From: Lars Ljung <[email-masked]>
To: [email-masked]
Date: Sun, 14 Sep 2014 20:11:03 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

Every time I open a file in the Emacs source tree I see the message
"ede-emacs-version: Searching for program: no such file or directory,
egrep". Also, Emacs does not switch to the newly created buffer so I
have to switch to it manually.

This only happens on Windows, where I don't have egrep installed. It is
caused by line 86 in lisp/cedet/ede/emacs.el:

(call-process "egrep" nil buff nil "-n" "-e" "AC_INIT" configure_ac)

I don't think this line is even necessary. The file content is inserted
and parsed further down.

Kind regards,
Lars Ljung